﻿package com.manpower.textEffect {

	import flash.display.MovieClip;
	import com.bobby.time.Delay;
	import com.greensock.TweenNano;
	import com.greensock.text.SplitTextField;
	import com.greensock.easing.Cubic;
	import com.greensock.easing.Quad;
	import com.greensock.easing.Linear;
	import flash.text.TextField;
	import com.bobby.time.Delay;

	public class KansasCityShuffle extends MovieClip
	{
		
		private var _clip 			: MovieClip;
		private var _word 			: TextField;
		private var _delay 			: Number;
		private var _doLineSwipe 	: Boolean;

		
		public function KansasCityShuffle(){}
		
		public function animate( clip:MovieClip, word:TextField, delay:Number = 0 ):void
		{
			_word = word;
			_delay = delay;
			_clip = clip;
			trace(_delay)
			
			Delay.create( startAnimation, _delay );
		}
		
		public function startAnimation() {
			
			_clip.alpha = 1;
		
				var letters:SplitTextField = new SplitTextField(_word);

				for (var i:int = letters.textFields.length - 1; i > -1; i--)
				{
					//trace("Letters :" + letters.textFields[i].text);
					TweenNano.from(letters.textFields[i], .4, {y : letters.textFields[i].y + letters.textFields[i].height - 10, delay: i*.05, ease:Cubic.easeOut, alpha:0 });
				}
		}
	}
}